Package svnmailer :: Module stream :: Class _BaseStream

[hide private]

# Class _BaseStream

source code

    object --+
             |
            _BaseStream

Known Subclasses:
  - BinaryOrUnicodeStream
  - , CountStream
  - , CuckooStream
  - , DevNullStream
  - , SplittingStream
  - , TruncatingStream
  - , UnicodeStream

Base stream wrapper

Instance Methods | [hide private]

__init__(self, stream) Initialization | source code

write(self, towrite) Writes the data to the stream | source code

writelines(self, lines) Write a list of strings | source code

close(self) Closes the stream | source code

__getattr__(self, name) Delegates all undefined attributes to the stream | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Instance Variables | [hide private]

file like object | stream The wrapped stream

Properties | [hide private]

Inherited from `object`: `__class__`

Method Details | [hide private]

### __init__(self, stream)
(Constructor)

source code

Initialization

Parameters:
  - `stream` (file like object) - The stream to wrap
Overrides: object.__init__

### write(self, towrite)

source code

Writes the data to the stream

Parameters:
  - `towrite` (`str`) - stuff to write

### writelines(self, lines)

source code

Write a list of strings

Parameters:
  - `lines` (`list`) - The lines to write (including \n)